{
  "schema_version": "1.4.0",
  "id": "GHSA-f7vh-hgm6-q6h3",
  "modified": "2025-04-11T04:00:56Z",
  "published": "2022-05-17T05:25:13Z",
  "aliases": [
    "CVE-2011-4352"
  ],
  "details": "Integer overflow in the vp3_dequant function in the VP3 decoder (vp3.c) in libavcodec in FFmpeg 0.5.x before 0.5.7, 0.6.x before 0.6.4, 0.7.x before 0.7.9, and 0.8.x before 0.8.8; and in Libav 0.5.x before 0.5.6, 0.6.x before 0.6.4, and 0.7.x before 0.7.3 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted VP3 stream, which triggers a buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-4352"
    },
    {
      "type": "WEB",
      "url": "http://ffmpeg.org"
    },
    {
      "type": "WEB",
      "url": "http://git.libav.org/?p=libav.git%3Ba=commit%3Bh=8b94df0f2047e9728cb872adc9e64557b7a5152f"
    },
    {
      "type": "WEB",
      "url": "http://git.libav.org/?p=libav.git;a=commit;h=8b94df0f2047e9728cb872adc9e64557b7a5152f"
    },
    {
      "type": "WEB",
      "url": "http://git.videolan.org/?p=ffmpeg.git%3Ba=commit%3Bh=eef5c35b4352ec49ca41f6198bee8a976b1f81e5"
    },
    {
      "type": "WEB",
      "url": "http://git.videolan.org/?p=ffmpeg.git;a=commit;h=eef5c35b4352ec49ca41f6198bee8a976b1f81e5"
    },
    {
      "type": "WEB",
      "url": "http://libav.org"
    },
    {
      "type": "WEB",
      "url": "http://libav.org/releases/libav-0.5.6.changelog"
    },
    {
      "type": "WEB",
      "url": "http://libav.org/releases/libav-0.6.4.changelog"
    },
    {
      "type": "WEB",
      "url": "http://libav.org/releases/libav-0.7.3.changelog"
    },
    {
      "type": "WEB",
      "url": "http://ubuntu.com/usn/usn-1320-1"
    },
    {
      "type": "WEB",
      "url": "http://ubuntu.com/usn/usn-1333-1"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2012:074"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2012:075"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2012:076"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/520622"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-08-20T20:55:00Z"
  }
}